Index: lemon/arg_parser.h
===================================================================
--- lemon/arg_parser.h	(revision 261)
+++ lemon/arg_parser.h	(revision 214)
@@ -17,6 +17,6 @@
  */
 
-#ifndef LEMON_ARG_PARSER_H
-#define LEMON_ARG_PARSER_H
+#ifndef LEMON_ARG_PARSER
+#define LEMON_ARG_PARSER
 
 #include <vector>
@@ -383,3 +383,3 @@
 }
 
-#endif // LEMON_ARG_PARSER_H
+#endif // LEMON_ARG_PARSER
Index: lemon/bits/array_map.h
===================================================================
--- lemon/bits/array_map.h	(revision 209)
+++ lemon/bits/array_map.h	(revision 263)
@@ -104,4 +104,5 @@
     }
 
+  private:
     /// \brief Constructor to copy a map of the same map type.
     ///
@@ -151,4 +152,5 @@
     }
 
+  public:
     /// \brief The destructor of the map.
     ///
Index: lemon/bits/graph_extender.h
===================================================================
--- lemon/bits/graph_extender.h	(revision 220)
+++ lemon/bits/graph_extender.h	(revision 263)
@@ -228,4 +228,5 @@
         : Parent(digraph, value) {}
 
+    private:
       NodeMap& operator=(const NodeMap& cmap) {
         return operator=<NodeMap>(cmap);
@@ -252,4 +253,5 @@
         : Parent(digraph, value) {}
 
+    private:
       ArcMap& operator=(const ArcMap& cmap) {
         return operator=<ArcMap>(cmap);
@@ -609,4 +611,5 @@
         : Parent(graph, value) {}
 
+    private:
       NodeMap& operator=(const NodeMap& cmap) {
         return operator=<NodeMap>(cmap);
@@ -633,4 +636,5 @@
         : Parent(graph, value) {}
 
+    private:
       ArcMap& operator=(const ArcMap& cmap) {
         return operator=<ArcMap>(cmap);
@@ -658,4 +662,5 @@
         : Parent(graph, value) {}
 
+    private:
       EdgeMap& operator=(const EdgeMap& cmap) {
         return operator=<EdgeMap>(cmap);
Index: lemon/bits/map_extender.h
===================================================================
--- lemon/bits/map_extender.h	(revision 209)
+++ lemon/bits/map_extender.h	(revision 263)
@@ -63,4 +63,5 @@
       : Parent(graph, value) {}
 
+  private:
     MapExtender& operator=(const MapExtender& cmap) {
       return operator=<MapExtender>(cmap);
@@ -73,4 +74,5 @@
     }
 
+  public:
     class MapIt : public Item {
     public:
@@ -201,4 +203,5 @@
       : Parent(_graph, _value), graph(_graph) {}
 
+  private:
     SubMapExtender& operator=(const SubMapExtender& cmap) {
       return operator=<MapExtender>(cmap);
@@ -215,4 +218,5 @@
     }
 
+  public:
     class MapIt : public Item {
     public:
Index: lemon/bits/vector_map.h
===================================================================
--- lemon/bits/vector_map.h	(revision 220)
+++ lemon/bits/vector_map.h	(revision 263)
@@ -101,4 +101,5 @@
     }
 
+  private:
     /// \brief Copy constructor
     ///
Index: lemon/concepts/digraph.h
===================================================================
--- lemon/concepts/digraph.h	(revision 220)
+++ lemon/concepts/digraph.h	(revision 263)
@@ -435,4 +435,5 @@
         NodeMap(const Digraph&, T) { }
 
+      private:
         ///Copy constructor
         NodeMap(const NodeMap& nm) : ReadWriteMap< Node, T >(nm) { }
@@ -457,4 +458,5 @@
         ///\e
         ArcMap(const Digraph&, T) { }
+      private:
         ///Copy constructor
         ArcMap(const ArcMap& em) : ReadWriteMap<Arc,T>(em) { }
Index: lemon/concepts/graph.h
===================================================================
--- lemon/concepts/graph.h	(revision 220)
+++ lemon/concepts/graph.h	(revision 263)
@@ -513,4 +513,5 @@
         NodeMap(const Graph&, T) { }
 
+      private:
         ///Copy constructor
         NodeMap(const NodeMap& nm) : ReadWriteMap< Node, T >(nm) { }
@@ -536,4 +537,5 @@
         ///\e
         ArcMap(const Graph&, T) { }
+      private:
         ///Copy constructor
         ArcMap(const ArcMap& em) : ReadWriteMap<Arc,T>(em) { }
@@ -559,4 +561,5 @@
         ///\e
         EdgeMap(const Graph&, T) { }
+      private:
         ///Copy constructor
         EdgeMap(const EdgeMap& em) : ReadWriteMap<Edge,T>(em) {}
Index: lemon/concepts/graph_components.h
===================================================================
--- lemon/concepts/graph_components.h	(revision 220)
+++ lemon/concepts/graph_components.h	(revision 263)
@@ -1006,4 +1006,6 @@
       /// Construct a new map for the graph and initalise the values.
       GraphMap(const Graph&, const Value&) {}
+
+    private:
       /// \brief Copy constructor.
       ///
@@ -1022,4 +1024,5 @@
       }
 
+    public:
       template<typename _Map>
       struct Constraints {
@@ -1031,11 +1034,12 @@
           _Map a2(g,t);
           // Copy constructor.
-          _Map b(c);
-
-          ReadMap<Key, Value> cmap;
-          b = cmap;
-
+          // _Map b(c);
+
+          // ReadMap<Key, Value> cmap;
+          // b = cmap;
+
+          ignore_unused_variable_warning(a);
           ignore_unused_variable_warning(a2);
-          ignore_unused_variable_warning(b);
+          // ignore_unused_variable_warning(b);
         }
 
@@ -1083,4 +1087,5 @@
           : Parent(digraph, value) {}
 
+      private:
         /// \brief Copy constructor.
         ///
@@ -1120,4 +1125,5 @@
           : Parent(digraph, value) {}
 
+      private:
         /// \brief Copy constructor.
         ///
@@ -1216,4 +1222,5 @@
           : Parent(graph, value) {}
 
+      private:
         /// \brief Copy constructor.
         ///
